%define major 0
%define api 1.3
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell
Version:	1.3.2
Release:	9
License:	GPLv2+
Group:		System/Internationalization
Url:		http://hunspell.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz
# (tpg) Mdv's specific path to myspell dictionaries
Patch0:		%{name}-1.2.15-dict-path.patch
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncursesw)

%description
Hunspell is a spell checker and morphological analyzer library and program
designed for languages with rich morphology and complex word compounding
or character encoding.

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%lang(hu) %{_mandir}/hu/man1/*
%{_mandir}/man1/*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{EVRD}

%description -n %{libname}
Shared library for hunspell.

%files -n %{libname}
%{_libdir}/libhunspell-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for hunspell
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files and headers for hunspell.

%files -n %{devname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h*
%{_libdir}/libparsers.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%lang(hu) %{_mandir}/hu/man4/*
%{_mandir}/man4/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--with-ui \
	--with-readline \
	--with-experimental \
	--disable-rpath

%make

%install
%makeinstall_std

%find_lang %{name}

%check
# Fails in ABF container, local build is fine
# make check


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.2-9
- (fb1b117) Disable tests because they fails in ABF container, local build is fine


